Summary:Multi Router Traffic Grapher
Name:mrtg
Version: 2.7.2
Release: 2
Group: Applications/System
Copyright: distributable
Source0: http://www.ee.ethz.ch/~oetiker/webtools/mrtg/pub/mrtg-2.7.2.tar.gz
Url:http://www.ee.ethz.ch/~oetiker/webtools/mrtg/mrtg.html
Source1: mrtg.cfg
Patch0: mrtg-2.7.2-perlpath.patch
Requires: perl >= 5.003
Buildroot: /var/tmp/mrtg-root

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF
images which provide a LIVE visual representation of this traffic. 

%prep
%setup -q
%patch0 -p1

%build
%configure 
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/mrtg
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/mrtg
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/

cp -f doc/mrtg*.gif $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp -f doc/*.pod $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp -f doc/*.html $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp -f $RPM_SOURCE_DIR/mrtg.cfg $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp -f doc/*.txt $RPM_BUILD_ROOT/home/httpd/html/mrtg

for i in  mrtg rateup; do
  install -m 755 -c run/$i $RPM_BUILD_ROOT/usr/bin/$i
done

for i in BER.pm SNMP_util.pm SNMP_Session.pm; do
  install -m 755 -c run/$i $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/
done

find contrib | cpio -pdmv $RPM_BUILD_ROOT/usr/lib/mrtg/
cd run
cp -f cfgmaker cfgmaker_ip  indexmaker $RPM_BUILD_ROOT/usr/lib/mrtg/


%post
 if ! grep '* * * * root /usr/bin/mrtg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root /usr/bin/mrtg /home/httpd/html/mrtg/mrtg.cfg" >> /etc/crontab
 fi

%postun
if [ "$1" = "0" ]; then
        grep -v '* * * * root /usr/bin/mrtg' /etc/crontab > /etc/crontab.new
        mv /etc/crontab.new /etc/crontab
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT README 
%dir /home/httpd/html/mrtg
/home/httpd/html/mrtg/*
/usr/lib/perl5/site_perl/*
/usr/lib/mrtg/*
/usr/bin/mrtg
/usr/bin/rateup

%changelog
* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- fixed perl path in contrib stuff

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 powertools.

* Fri Jun 02 1998 Michael Maher <mike@redhat.com>
- fixed bugs found in package. 

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- updated package
- checked package looks ok

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added WorkDir to mrtg.cfg

* Tue Nov 25 1997 Otto Hammersmith <otto@redhat.com>
- addeed patch to clean up paths to perl in the contrib directory.  ugh

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- updated version to 2.5.1
- change buildroot to /var/tmp from /tmp

* Mon Apr 28 1997 Michael Fulbright <msf@redhat.com>
- Updated to 2.2 and changed to build with a Buildroot.
